/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package perpus;


import com.mysql.jdbc.Connection;
import com.mysql.jdbc.Statement;
import java.awt.Dimension;
import java.awt.HeadlessException;
import java.awt.Toolkit;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author Asus
 */
public class dataanggota extends javax.swing.JFrame {
private Connection con;
private Statement stat;
private ResultSet res;
private String t;
private PreparedStatement pst;

private void koneksi(){
try {
Class.forName("com.mysql.jdbc.Driver");
con=(Connection) DriverManager.getConnection("jdbc:mysql://localhost/db_perpustakaan", "root", "");
stat=(Statement) con.createStatement();
} catch (ClassNotFoundException | SQLException e) {
JOptionPane.showMessageDialog(null, e);
}
}
private void kosongkan()
{ 
 
nomor_anggota.setText("");
nis.setText("");
nama.setText("");
cmbjk.setSelectedItem("");
alamat.setText("");
telepon.setText("");
nomor_anggota.requestFocus();
 } 

    /**
     * Creates new form Pembeli
     */
    public dataanggota() {
        initComponents();
        koneksi();
        kosongkan();
        tabel();
    id_auto();
        
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        Dimension frameSize = getSize();
        setLocation(
        (screenSize.width - frameSize.width) / 2,
        (screenSize.height - frameSize.height) / 2);
    }

private void tabel(){ 
 DefaultTableModel model = new DefaultTableModel();
        model.addColumn("No");
        model.addColumn("No anggota");
        model.addColumn("NIS");
        model.addColumn("Nama");
        model.addColumn("Jenis kelamin");
        model.addColumn("alamat");
        model.addColumn("Telepon");
        
         try {
             
            int no = 1;
            String sql = "select * from data_anggota";
            //String sqls = "select * from data_siswa where nama_siswa like '%"+cari.getText() +"%'";
            java.sql.Connection conn = (java.sql.Connection) config.configDB();
            java.sql.Statement stm = conn.createStatement();
            java.sql.ResultSet res = stm.executeQuery(sql);
             while (res.next()) {
                    
                model.addRow(new Object[]{no++, res.getString(1), res.getString(2), res.getString(3), res.getString(4), res.getString(5), res.getString(6)});
            }
            tblagt.setModel(model);
        } catch (Exception e) {
        }
}
private void id_auto(){
    try{
            java.sql.Connection conn = (Connection) config.configDB();
            java.sql.Statement stm = conn.createStatement();
            String sql = "select max(right(no_anggota,4)) as no from data_anggota";
            java.sql.ResultSet res = stm.executeQuery(sql);
            while (res.next()){
                if (res.first() == false){
                   nomor_anggota.setText("AGT001");
                }else{
                       res.last();
                       int set_id = res.getInt(1)+1;
                       String no = String.valueOf(set_id);
                       int id_next = no.length();
                       for (int a = 0 ; a <4 - id_next; a++){
                           no = "0" + no;
                       }
                       nomor_anggota.setText("AGT" + no);
                }
                
            }
    } catch (SQLException ex) {
      //  Logger.getLogger(datapeminjaman.class.getName()).log(Level.SEVERE, null, ex);
    }
}
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jTable1 = new javax.swing.JTable();
        jPanel1 = new javax.swing.JPanel();
        nis = new javax.swing.JTextField();
        nama = new javax.swing.JTextField();
        btedit = new javax.swing.JButton();
        bthapus = new javax.swing.JButton();
        btsimpan = new javax.swing.JButton();
        btkembali = new javax.swing.JButton();
        nomor_anggota = new javax.swing.JTextField();
        alamat = new javax.swing.JTextField();
        telepon = new javax.swing.JTextField();
        cmbjk = new javax.swing.JComboBox();
        carianggota = new javax.swing.JButton();
        jScrollPane2 = new javax.swing.JScrollPane();
        tblagt = new javax.swing.JTable();
        cari = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();

        jTable1.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(jTable1);

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setBackground(new java.awt.Color(0, 204, 204));

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));
        jPanel1.setForeground(new java.awt.Color(0, 20, 0));
        jPanel1.setMaximumSize(new java.awt.Dimension(1000, 667));
        jPanel1.setMinimumSize(new java.awt.Dimension(1000, 667));
        jPanel1.setPreferredSize(new java.awt.Dimension(1000, 667));
        jPanel1.setLayout(new org.netbeans.lib.awtextra.AbsoluteLayout());

        nis.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nisActionPerformed(evt);
            }
        });
        jPanel1.add(nis, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 210, 210, 30));

        nama.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                namaActionPerformed(evt);
            }
        });
        jPanel1.add(nama, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 280, 210, 30));

        btedit.setContentAreaFilled(false);
        btedit.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btedit.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btedit.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bteditActionPerformed(evt);
            }
        });
        jPanel1.add(btedit, new org.netbeans.lib.awtextra.AbsoluteConstraints(104, 360, 130, 40));

        bthapus.setContentAreaFilled(false);
        bthapus.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        bthapus.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        bthapus.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bthapusActionPerformed(evt);
            }
        });
        jPanel1.add(bthapus, new org.netbeans.lib.awtextra.AbsoluteConstraints(290, 360, 130, 40));

        btsimpan.setContentAreaFilled(false);
        btsimpan.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        btsimpan.setVerticalTextPosition(javax.swing.SwingConstants.BOTTOM);
        btsimpan.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btsimpanActionPerformed(evt);
            }
        });
        jPanel1.add(btsimpan, new org.netbeans.lib.awtextra.AbsoluteConstraints(500, 360, 130, 40));

        btkembali.setContentAreaFilled(false);
        btkembali.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btkembaliActionPerformed(evt);
            }
        });
        jPanel1.add(btkembali, new org.netbeans.lib.awtextra.AbsoluteConstraints(730, 360, 110, 40));

        nomor_anggota.setEditable(false);
        nomor_anggota.setBackground(new java.awt.Color(255, 255, 255));
        nomor_anggota.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nomor_anggotaActionPerformed(evt);
            }
        });
        jPanel1.add(nomor_anggota, new org.netbeans.lib.awtextra.AbsoluteConstraints(330, 140, 210, 30));
        jPanel1.add(alamat, new org.netbeans.lib.awtextra.AbsoluteConstraints(690, 210, 230, 30));
        jPanel1.add(telepon, new org.netbeans.lib.awtextra.AbsoluteConstraints(690, 280, 230, 30));

        cmbjk.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Laki Laki", "Perempuan" }));
        cmbjk.setBorder(null);
        jPanel1.add(cmbjk, new org.netbeans.lib.awtextra.AbsoluteConstraints(690, 140, 220, 30));

        carianggota.setContentAreaFilled(false);
        carianggota.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                carianggotaActionPerformed(evt);
            }
        });
        jPanel1.add(carianggota, new org.netbeans.lib.awtextra.AbsoluteConstraints(350, 440, 60, 30));

        tblagt.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tblagt.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tblagtMouseClicked(evt);
            }
        });
        jScrollPane2.setViewportView(tblagt);

        jPanel1.add(jScrollPane2, new org.netbeans.lib.awtextra.AbsoluteConstraints(110, 490, 820, 130));
        jPanel1.add(cari, new org.netbeans.lib.awtextra.AbsoluteConstraints(110, 440, 220, 30));

        jLabel2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/image/dataanggota.jpg"))); // NOI18N
        jPanel1.add(jLabel2, new org.netbeans.lib.awtextra.AbsoluteConstraints(0, 0, -1, -1));

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void nisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nisActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_nisActionPerformed

    private void namaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_namaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_namaActionPerformed

    private void btsimpanActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btsimpanActionPerformed
        // TODO add your handling code here:
      try {
 stat.executeUpdate("insert into  data_anggota values (" 

+ "'" + nomor_anggota.getText()+"',"
+ "'" + nis.getText()+"',"
+ "'" + nama.getText()+"',"
+ "'" + cmbjk.getSelectedItem()+"',"
+ "'" + alamat.getText()+"',"
+ "'" + telepon.getText()+ "')");
kosongkan(); 
JOptionPane.showMessageDialog(null, "Berhasil Menyimpan Data"); 
} catch (SQLException | HeadlessException e) { 
JOptionPane.showMessageDialog(null, "Perintah Salah : "+e);
 }finally{
         tabel();
          id_auto();
             }
    }//GEN-LAST:event_btsimpanActionPerformed

    private void btkembaliActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btkembaliActionPerformed
        // TODO add your handling code here:
        new menu_utama().setVisible(true);
        dispose();
    }//GEN-LAST:event_btkembaliActionPerformed

    private void bteditActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bteditActionPerformed
        // TODO add your handling code here:
        try {
            stat.executeUpdate("update data_anggota   set "

                + "no_anggota='"+nomor_anggota.getText()+"',"
                + "nis='"+nis.getText()+"',"
                + "nama='"+nama.getText()+"',"
                + "jenis='"+cmbjk.getSelectedItem()+"',"
                + "alamat='"+alamat.getText()+"',"
                + "notlp='"+telepon.getText()+"'"

                + " where " + "no_anggota='"+nomor_anggota.getText()+"'" );
            kosongkan();
            JOptionPane.showMessageDialog(rootPane, "Data berhasil Di update");
        } catch (SQLException | HeadlessException e) {
            JOptionPane.showMessageDialog(rootPane, e);
        }finally{
         tabel();
          id_auto();
        }
    }//GEN-LAST:event_bteditActionPerformed

    private void bthapusActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_bthapusActionPerformed
        // TODO add your handling code here:
          try { 
stat.executeUpdate("delete from data_anggota where " 
+ "no_anggota='"+nomor_anggota.getText()
+"'" ); 
kosongkan(); 
JOptionPane.showMessageDialog(null, "Berhasil");
 } catch (SQLException | HeadlessException e) { 
JOptionPane.showMessageDialog(null, "pesan salah : "+e);
 } finally{
         tabel();
          id_auto();
          }
    }//GEN-LAST:event_bthapusActionPerformed

    private void nomor_anggotaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nomor_anggotaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_nomor_anggotaActionPerformed

    private void tblagtMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tblagtMouseClicked
 int baris = tblagt.rowAtPoint(evt.getPoint());
        
        String na = tblagt.getValueAt(baris, 1).toString();
        nomor_anggota.setText(na);
        
        String nk = tblagt.getValueAt(baris, 2).toString();
        nis.setText(nk);
        
        String  sa = tblagt.getValueAt(baris, 3).toString();
        nama.setText(sa); 
        
        String nwk = tblagt.getValueAt(baris, 4).toString();
        cmbjk.setSelectedItem(nwk);    
        
        String  ns = tblagt.getValueAt(baris, 5).toString();
        alamat.setText(ns);  
        
         String  nsa = tblagt.getValueAt(baris, 6).toString();
        telepon.setText(nsa);  
        
// TODO add your handling code here:
    }//GEN-LAST:event_tblagtMouseClicked

    private void carianggotaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_carianggotaActionPerformed
DefaultTableModel tabelTampil1 = new DefaultTableModel();


        
        tabelTampil1.addColumn("No Anggota"); 
        tabelTampil1.addColumn("NIS"); 
        tabelTampil1.addColumn("Nama");
        tabelTampil1.addColumn("Jenis Kelamin");
        tabelTampil1.addColumn("Alamat");
        tabelTampil1.addColumn("No Telepon");
       
        try{
            koneksi();
            String sql = "Select * from data_anggota where no_anggota like '%" + cari.getText() + "%'" + "or nama like '%" + cari.getText() + "%'";
            pst = con.prepareStatement(sql);
            res = pst.executeQuery();
            while (res.next()) {
                tabelTampil1.addRow(new Object[]{
                    res.getString(1),
                    res.getString(2),
                    res.getString(3),
                    res.getString(4),
                    res.getString(5),
                    res.getString(6),
                    
                });
            }
            tblagt.setModel(tabelTampil1);

        }catch (Exception e){

        }        // TODO add your handling code here:
    }//GEN-LAST:event_carianggotaActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(dataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(dataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(dataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(dataanggota.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new dataanggota().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField alamat;
    private javax.swing.JButton btedit;
    private javax.swing.JButton bthapus;
    private javax.swing.JButton btkembali;
    private javax.swing.JButton btsimpan;
    private javax.swing.JTextField cari;
    private javax.swing.JButton carianggota;
    private javax.swing.JComboBox cmbjk;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable jTable1;
    private javax.swing.JTextField nama;
    private javax.swing.JTextField nis;
    private javax.swing.JTextField nomor_anggota;
    private javax.swing.JTable tblagt;
    private javax.swing.JTextField telepon;
    // End of variables declaration//GEN-END:variables
}
